This is the mail archive of the cygwin mailing list for the Cygwin project.

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: XTerm always gives out an error message concerning a font

----- Original Message -----
| From: "Wouter van Doorn" <>
| To: "Brian Inglis" <>,
| Sent: Thursday, July 6, 2017 5:31:42 PM
| Subject: Re: XTerm always gives out an error message concerning a font
| No luck with either of the fixed-medium suggestions. The one you
| mentioned as default first match on your system is the one I get it
| moaning about no matter what I do.
| The easiest solution (of sorts) might be to go back to xterm patch
| 326, but I don't know how to do that either. The installer won't go
| back further than 329. Or is that mirror-dependent, maybe? Is there a
| mirror that goes back further than the sargasso uk one I have
| selected?
| Any pointers will be appreciated. BTW: it seems rather unlikely that
| I'm the only one to have this problemette?

It depends on configuration.  Rather than being a "new bug", it seems
that fixes to make the warnings more consistent made these appear (for
you at least).  If I recompile #326 with the debugging trace, it shows
the problem.

The warnings are because the derived font-names for double-width (-fw)
fonts aren't loadable.  I wouldn't notice this with my Debian machines
for instance because the fontpath includes the ":unscaled" feature,
which allows the bitmap fonts to be scaled.

Comparing configuration, I see that cygwin has something like that,
but the feature isn't working.

You can turn the font-warnings off using a resource setting.

Thomas E. Dickey <>

Problem reports:
Unsubscribe info:

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]